Name:		kaudiocreator
Summary:	CD ripper and audio encoder frontend for KDE4
Version:	1.3
Release:	%mkrel 1
Source:		http://opendesktop.org/CONTENT/content-files/107645-%{name}-%{version}.tar.bz2
URL:		http://opendesktop.org/content/show.php/KAudioCreator?content=107645
License:	GPLv2+
Group:		Graphical desktop/KDE
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdemultimedia4-devel
BuildRequires:	taglib-devel
BuildRequires:	libdiscid-devel
Requires:	kdebase4-runtime
Obsoletes:	kdemultimedia-kaudiocreator < 1:3.5.10-2

%description
CD ripper and audio encoder frontend.

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std -C build

%find_lang %{name}

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_kde_bindir}/kaudiocreator
%{_kde_datadir}/applications/kde4/kaudiocreator.desktop
%{_kde_appsdir}/kaudiocreator
%{_kde_appsdir}/kconf_update/kaudiocreator-libkcddb.upd
%{_kde_appsdir}/kconf_update/kaudiocreator-meta.upd
%{_kde_appsdir}/kconf_update/upgrade-kaudiocreator-metadata.sh
%{_kde_datadir}/config.kcfg/kaudiocreator.kcfg
%{_kde_datadir}/config.kcfg/kaudiocreator_encoders.kcfg
%{_kde_iconsdir}/hicolor/*/apps/kaudiocreator.png
%{_kde_datadir}/kde4/services/ServiceMenus/audiocd_extract.desktop



%changelog
* Wed Dec 07 2011 Andrey Bondrov <abondrov@mandriva.org> 1.3-1
+ Revision: 738628
- New version 1.3, add locales

* Sun Aug 29 2010 Funda Wang <fwang@mandriva.org> 1.2.90-1mdv2011.0
+ Revision: 574037
- BR discid
- update to new version 1.2.90

* Sun Apr 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.2.81-2mdv2010.1
+ Revision: 536497
- rebuild to fix "undefined symbol"

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 1.2.81-1mdv2010.1
+ Revision: 463293
- new version 1.2.81

* Sun Jun 28 2009 Funda Wang <fwang@mandriva.org> 1.2.80-1mdv2010.0
+ Revision: 390246
- New version 1.2.80

* Sat Nov 29 2008 Anssi Hannula <anssi@mandriva.org> 1.2-0.838162.2mdv2009.1
+ Revision: 308134
- obsoletes kdemultimedia-kaudiocreator

* Sun Jul 27 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.2-0.838162.1mdv2009.0
+ Revision: 250325
- import kaudiocreator


